# DROP FUNCTION\_SOURCE

## Syntax <a href="#synopsis" id="synopsis"></a>

```sql
DROP FUNCTION_SOURCE function_source_name;
```

### Description

Drops a [function source](/overview/core-concepts/function.md). Only the owner of the function source can execute this command.

{% hint style="warning" %}
**Important** `DROP FUNCTION_SOURCE` cannot be undone. Use it with care!
{% endhint %}

### Parameters

#### function\_source\_name

The name of the function source to drop. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower case name.

### Example

#### Drop a function source

Assume a function source, named `mysrc`, is created using the [CREATE FUNCTION SOURCE](/reference/sql-syntax/ddl/create-function_source.md) statement and is now available:

```sh
db1.public/my_store# CREATE FUNCTION_SOURCE "MySrc" WITH ( 'file' = '@/path/to/fnsrc.jar', 'description' = 'my functions' );
+-----------------+------------+------------+------------------------------------------+
|  Type           |  Name      |  Command   |  Summary                                 |
+=================+============+============+==========================================+
| function_source | MySrc      | CREATE     | function source "MySrc" was              |
|                 |            |            | successfully created                     |
+-----------------+------------+------------+------------------------------------------+

```

You can drop this function source with the below statement:

```sh
db1.public/my_store# DROP FUNCTION_SOURCE "MySrc";
+-----------------+------------+------------+----------------------------------------+
|  Type           |  Name      |  Command   |  Summary                               |
+=================+============+============+========================================+
| function_source | MySrc      | DROP       | function_source MySrc has been deleted |
+-----------------+------------+------------+----------------------------------------+
db1.public/my_store# LIST FUNCTION_SOURCES;
  Name | Description | Language | Owner | Created at | Updated at | Status | Messages
-------+-------------+----------+-------+------------+------------+--------+-----------
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/drop-function_source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
